org.apache.coyote.http2

## Class HPackHuffman.HuffmanCode

- java.lang.Object
- - org.apache.coyote.http2.HPackHuffman.HuffmanCode

- Enclosing class:
    HPackHuffman

      protected static class HPackHuffman.HuffmanCode
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPackHuffman.HuffmanCode(int value, int length)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getLength()`
    `int` | `getValue()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HPackHuffman.HuffmanCode

          public HPackHuffman.HuffmanCode(int value,
                                  int length)

  - ### Method Detail

    - #### getValue

          public int getValue()

    - #### getLength

          public int getLength()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.